VRENDER_CREATE_CONTEXT(3)

FUNCTION
vrender_create_context - Create a context for volume rendering.

SYNOPSIS
#include <karma_vrender.h>

KVolumeRenderContext vrender_create_context

(void *info, ...)

DESCRIPTION
Create a context for volume rendering.

info
    An arbitrary information pointer associated with the context.

... The optional list of parameter attribute-key attribute-value pairs must follow. This list must be terminated with the value VRENDER_CONTEXT_ATT_END. See <-vrender_ATTRIBUTES-> for a list of defined attributes.

RETURN VALUE
A KVolumeRenderContext on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/